import * as React from 'react';
import { BaseFieldProps } from 'redux-form';
declare namespace ReadonlyInput {
    interface Props extends BaseFieldProps {
        name: string;
        label?: string | JSX.Element;
        help?: string;
        containerClass?: string;
        inputClass?: string;
        collapseErrorSpace?: boolean;
        children?: React.ReactNode;
        key?: React.ReactText;
        ref?: React.Ref<ReadonlyInput>;
        component?: any;
        format?: any;
        normalize?: any;
        props?: any;
        parse?: any;
        validate?: any;
        warn?: any;
        withRef?: any;
    }
    interface State {
    }
}
declare class ReadonlyInput extends React.Component<ReadonlyInput.Props, ReadonlyInput.State> {
    constructor(props: ReadonlyInput.Props);
    private renderText;
    render(): JSX.Element;
}
export default ReadonlyInput;
